1. Welcome to skUnity!

    Welcome to skUnity! This is a forum where members of the Skript community can communicate and interact. Skript Resource Creators can post their Resources for all to see and use.

    If you haven't done so already, feel free to join our official Discord server to expand your level of interaction with the comminuty!

    Now, what are you waiting for? Join the community now!

  2. LOOKING FOR A VERSION OF SKRIPT??:

    You can always check our our Wiki for downloads and any other information about Skript!

Dismiss Notice
This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Solved Skript problem

Discussion in 'Skript' started by Scholler, Sep 7, 2018.

Thread Status:
Not open for further replies.
  1. Scholler

    Scholler Well-Known Member

    Joined:
    Aug 6, 2018
    Messages:
    111
    Likes Received:
    5
    Hello!
    I have a 1.12.2 spigot server, and my version of Skript is 2.2-dev37c.

    So the question is, what's wrong with this code:

    Code (Skript):
    1. command /radio <arguments>:
    2. ...
    So this <arguments> is not working, it says "Unknown type: <arguments>" or something like that.

    I tried to install Skript 2.2 bensku-2.3-alpha2, but...
    I got an error:

    Code (Java):
    1. [16:53:16 ERROR]: Error occurred while enabling Skript v2.3-alpha2 (Is it up to date?)
    2.         at ch.njol.skript.aliases.ItemData.<init>(ItemData.java:153) ~[?:?]
    3.         at ch.njol.skript.aliases.ItemData.<init>(ItemData.java:157) ~[?:?]
    4.         at ch.njol.skript.aliases.Aliases.<clinit>(Aliases.java:144) ~[?:?]
    5.         at ch.njol.skript.Skript.onEnable(Skript.java:367) ~[?:?]
    6.         at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:264) ~[spigot-1.12.2.jar:git-Spigot-2cf50f0-2b93d83]
    7.         at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:337) [spigot-1.12.2.jar:git-Spigot-2cf50f0-2b93d83]
    8.         at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:403) [spigot-1.12.2.jar:git-Spigot-2cf50f0-2b93d83]
    9.         at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugin(CraftServer.java:381) [spigot-1.12.2.jar:git-Spigot-2cf50f0-2b93d83]
    10.         at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugins(CraftServer.java:330) [spigot-1.12.2.jar:git-Spigot-2cf50f0-2b93d83]
    11.         at org.bukkit.craftbukkit.v1_12_R1.CraftServer.reload(CraftServer.java:752) [spigot-1.12.2.jar:git-Spigot-2cf50f0-2b93d83]
    12.         at org.bukkit.Bukkit.reload(Bukkit.java:525) [spigot-1.12.2.jar:git-Spigot-2cf50f0-2b93d83]
    13.         at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:27) [spigot-1.12.2.jar:git-Spigot-2cf50f0-2b93d83]
    14.         at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) [spigot-1.12.2.jar:git-Spigot-2cf50f0-2b93d83]
    15.         at org.bukkit.craftbukkit.v1_12_R1.CraftServer.dispatchCommand(CraftServer.java:648) [spigot-1.12.2.jar:git-Spigot-2cf50f0-2b93d83]
    16.         at org.bukkit.craftbukkit.v1_12_R1.CraftServer.dispatchServerCommand(CraftServer.java:634) [spigot-1.12.2.jar:git-Spigot-2cf50f0-2b93d83]
    17.         at net.minecraft.server.v1_12_R1.DedicatedServer.aP(DedicatedServer.java:444) [spigot-1.12.2.jar:git-Spigot-2cf50f0-2b93d83]
    18.         at net.minecraft.server.v1_12_R1.DedicatedServer.D(DedicatedServer.java:407) [spigot-1.12.2.jar:git-Spigot-2cf50f0-2b93d83]
    19.         at net.minecraft.server.v1_12_R1.MinecraftServer.C(MinecraftServer.java:679) [spigot-1.12.2.jar:git-Spigot-2cf50f0-2b93d83]
    20.         at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:577) [spigot-1.12.2.jar:git-Spigot-2cf50f0-2b93d83]
    21.         at java.lang.Thread.run(Unknown Source) [?:1.8.0_181]
    22. Caused by: java.lang.UnsupportedOperationException: not yet implemented
    23.         at ch.njol.skript.bukkitutil.block.MagicBlockCompat.getSetter(MagicBlockCompat.java:318) ~[?:?]
    24.         at ch.njol.skript.bukkitutil.block.BlockCompat.<clinit>(BlockCompat.java:45) ~[?:?]
    25.         ... 20 more
    and when I type /sk (same if I type /skript help) it says "/skript help" and.. not working

    Sorry for my bad English.

     
  2. Best Answer:
    Post #8 by ShaneBee, Sep 7, 2018
  3. Uzumaki

    Uzumaki Well-Known Member

    Joined:
    Feb 20, 2017
    Messages:
    290
    Likes Received:
    8
    Code (Skript):
    1. Warning: this is an unstable release. It will likely break your server. Use it only if you're interested in helping us find and fix bugs.
    2.  
    3. In addition to that, 1.12 and older are not supported at the moment. When we have them working again, a new release will be made.
     
  4. Scholler

    Scholler Well-Known Member

    Joined:
    Aug 6, 2018
    Messages:
    111
    Likes Received:
    5
    Thats the 2.3-alpha2 version. I'm using 2.2, just tested 2.3 cuz the code not worked.

    So..
    Whats wrong with this code:
    Code (Skript):
    1. command /radio <arguments>:
    This is the problem.
    EDIT:
    The error is this:
    Code (Java):
    1. [19:53:46 ERROR]: [Skript] Unknown type 'arguments'
     
  5. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    Argument isn't a type. You need to put a TYPE
    Ex: <player> <entity> <item> <text> <string> <int> <number>
     
  6. Scholler

    Scholler Well-Known Member

    Joined:
    Aug 6, 2018
    Messages:
    111
    Likes Received:
    5
    I found the same thing on this website: http://en.njol.ch/projects/skript/doc/commands

    --- Double Post Merged, Sep 7, 2018, Original Post Date: Sep 7, 2018 ---
    btw I already fixed the code, I used the "on command" event..
    But I still don't know why this code isn't working... Can someone tell me?
    Ikr argument is not a type, but I found that on http://en.njol.ch/projects/skript/doc/commands
    --- Double Post Merged, Sep 7, 2018 ---
    Oh wait... My new code is:

    Code (Skript):
    1. on command:
    2.     command is "radio":
    3.         player has permission "radio":
    4.             if command has argument-1:
    But I got an error
    Code (Java):
    1. [20:13:36 ERROR]: The expression 'argument' can only be used within a command
     
  7. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    I believe in "on command" you have to use "arguments" not "argument"
     
  8. Scholler

    Scholler Well-Known Member

    Joined:
    Aug 6, 2018
    Messages:
    111
    Likes Received:
    5
    command has arguments:

    this is not working too
     
  9. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    I just tried this, and it works
    Code (Skript):
    1. on command:
    2.     command is "radio":
    3.         player has permission "radio":
    4.             if arguments = "test":
    5.                 send ""
     
  10. Scholler

    Scholler Well-Known Member

    Joined:
    Aug 6, 2018
    Messages:
    111
    Likes Received:
    5
    Thank you, it worked!
     
  11. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    As for this part, I already explained to you but you chose to ignore me..... "arguments" is not a type!
    "command /commandname <arguments>: # arguments are explained below"
    That is an example, saying to put your arguments there!
     
    • Agree Agree x 1
Thread Status:
Not open for further replies.
Loading...